Package org.eclipse.birt.report.engine.api

# Interface IPPTRenderOption

All Superinterfaces:
  `IRenderOption`, `ITaskOption`

public interface IPPTRenderOption extends IRenderOption

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXPORT_FILE_FOR_MICROSOFT_OFFICE_2010_2013`
The option for PPT emitter when exports to office 2010 and 2013.

### Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption

`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CHART_DPI, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RENDER_DPI, REPORTLET_SIZE, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

## Method Summary

### Methods inherited from interface org.eclipse.birt.report.engine.api.IRenderOption

`getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

### Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption

`getOption, getOptions, hasOption, setOption`

## Field Details

### EXPORT_FILE_FOR_MICROSOFT_OFFICE_2010_2013

static final String EXPORT_FILE_FOR_MICROSOFT_OFFICE_2010_2013
The option for PPT emitter when exports to office 2010 and 2013.

See Also:
  - Constant Field Values